public static interface GoogleCloudStorageEndpointBuilderFactory.GoogleCloudStorageBuilders
| Modifier and Type | Method and Description |
|---|---|
default GoogleCloudStorageEndpointBuilderFactory.GoogleCloudStorageEndpointBuilder |
googleStorage(String path)
Google Storage (camel-google-storage)
Store and retrieve objects from Google Cloud Storage Service using
the google-cloud-storage library.
|
default GoogleCloudStorageEndpointBuilderFactory.GoogleCloudStorageEndpointBuilder |
googleStorage(String componentName,
String path)
Google Storage (camel-google-storage)
Store and retrieve objects from Google Cloud Storage Service using
the google-cloud-storage library.
|
default GoogleCloudStorageEndpointBuilderFactory.GoogleCloudStorageEndpointBuilder googleStorage(String path)
google-storage:bucketName
Path parameter: bucketName (required)
Bucket name or ARNpath - bucketNamedefault GoogleCloudStorageEndpointBuilderFactory.GoogleCloudStorageEndpointBuilder googleStorage(String componentName, String path)
google-storage:bucketName
Path parameter: bucketName (required)
Bucket name or ARNcomponentName - to use a custom component name for the endpoint
instead of the default namepath - bucketNameApache Camel